/*
 * Copyright (C) 2013 Michael Spencer <sonrisesoftware@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Michael Spencer <sonrisesoftware@gmail.com>
 */

import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.ListItems 0.1

Item {
    property string mode: "left" // or right

    ThinDivider {
        id: divider
        rotation: mode === "left" ? 90 : -90

        width: parent.height

        anchors {
            left: undefined
            right: undefined
            centerIn: parent
        }
    }
    width: divider.height

    anchors {
        top: parent ? parent.top : undefined
        bottom: parent ? parent.bottom : undefined
    }
}
